/*验证手机号*/
function isMobile(text) {
    return /^((17[0-9])|(14[0-9])|(13[0-9])|(15[^4,\D])|(18[0-9]))\d{8}$/.test(text);
}
// 校验密码
function isPasswprd(text) {
    return /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{6,16}$/.test(text); 
}
//关闭窗口
function closeWin() {
    api.closeWin();
}
function openWin(name) {
    api.openWin({
        name : name,
        url : name + '.html',
        reload : true,
        opaque : true,
        vScrollBarEnabled : false,
        slidBackEnabled : false,
        delay: 300,
        animation:{
                    type:"movein",
                    subType:"from_right",
                        duration:300
                      }
    });
}
/*退出*/
function exitApp() {
    if(confirm("您将退出爱家无忧系统？")){
        api.closeWidget({
            id : api.appId, //填写自己的id
            silent : true
        });
    }
}
function clearCache(){
    //清除缓存数据
    var fs = api.require('fs');
    fs.rmdir({
        path: api.cacheDir+'/lovehomeCache'
    },function(ret,err){
        console.log('清除缓存');
    });
}
/*提示框*/
function myToast(msg) {
    var html = '<div class="myToast" id="myToast"><div class="toast_text aui-text-center">'+msg+'</div></div>';
    $('body').append(html);
    setTimeout(function() {
        $('#myToast').remove();
    }, 2000);
}
//微信第三方登录
var userInfo = {};//保存微信用户信息
function wxSignIn(){
    if($('#wxSignIn').hasClass('wxIng')){
        console.log('click');
        return;
    } 
    $('#wxSignIn').addClass('wxIng');
    var wx = api.require('wx');
    var code = '';//字符串类型；getToken 接口需传入此值，用于换取 accessToken
    var accessToken = '';//字符串类型；接口调用凭证，传给 getUserInfo 接口 获取用户信息；有效期2小时
    var openId = '';//字符串类型；授权用户唯一标识
    wx.auth({
        apiKey: 'wx96930febd8ba57c8'
    }, function(ret, err) {
        if (ret.status) {
            code =  ret.code;
            getToken(code);
        } else {
            if(err.code == 1 || err.code == 2){
                alert('取消微信登录');
            }else if(err.code == 3){
                alert('当前设备未安装微信客户端,请先安装');
            }
        }
    });
    var getToken = function(code){
        wx.getToken({
            code: code
        }, function(ret, err) {
            if (ret.status) {
                accessToken = ret.accessToken;
                openId = ret.openId;
                getWXUserInfo(accessToken,openId);
            } else {
                alert('微信登录失败');
            }
        });
    }
    var getWXUserInfo = function(accessToken,openId){
        wx.getUserInfo({
            accessToken: accessToken,
            openId: openId
        }, function(ret, err) {
            if (ret.status) {
                userInfo.openid = ret.openid;//字符串类型；普通用户的标识，对当前开发者帐号唯一
                userInfo.nickname = ret.nickname;//字符串类型；普通用户昵称
                userInfo.sex = ret.sex;//数字类型；普通用户性别，1为男性，2为女性
                userInfo.headimgurl = ret.headimgurl;//字符串类型；用户头像，最后一个数值代表正方形头像大小（有0、46、64、96、132数值可选，0代表640*640正方形头像），用户没有头像时该项为空
                //userInfo.privilege = ret.privilege;//数组类型；用户特权信息，如微信沃卡用户为（chinaunicom）
                //userInfo.unionid = ret.unionid;//字符串类型；用户统一标识。针对一个微信开放平台帐号下的应用，同一用户的unionid是唯一的。
                signUpByWx(userInfo);
            } else {
                alert('微信登录失败');
            }
        });
    }
}
function signUpByWx(userInfo){
    var openid = userInfo.openid;
    checkWxOpenid(openid);
}
function checkWxOpenid(openid){
    $.ajax({
        type: "POST",
        url: C_DATA_SERVER_URL + '/user/checkWxOpenid',
        async: false,
        data: {openid:openid},
        datatype: "json",
        success: function(ret){
            if(ret.data){//通过微信登录
                $.ajax({
                    type: "POST",
                    url: C_DATA_SERVER_URL + '/user/wxSignUp',
                    async: false,
                    data: {openid:openid},
                    datatype: "json",
                    success: function(ret){
                        if(ret.code){
                            $('#wxSignIn').removeClass('wxIng');
                            $api.setStorage('roleId',ret.data.id);
                            $api.setStorage('token',ret.data.token);
                            $api.setStorage('isLogin',true);//设置localStorage数据
                            api.openWin({
                                name : 'lovehome51_home',
                                url : '../company/index.html',
                                reload : true,
                                opaque : true,
                                vScrollBarEnabled : false,
                                slidBackEnabled : false,
                                animation:{
                                    type:"movein",
                                    subType:"from_right",
                                    duration:300
                                }
                            });
                        }else{
                            myToast(ret.msg);
                        }
                    }
                });
            }else{//第一次微信登录前往绑定手机号
                $('#wxSignIn').removeClass('wxIng');
                openWinToBindPhone(userInfo);
            }
        }
    });
}
function openWinToBindPhone(userInfo){
    api.openWin({
        name : 'bindPhone',
        url : './bindPhone.html',
        reload : true,
        opaque : true,
        vScrollBarEnabled : false,
        slidBackEnabled : false,
        delay: 300,
        animation:{
            type:"movein",
            subType:"from_right",
            duration:300
        },
        pageParam: userInfo
    });
}