/*
*此文件为前端用到的状态字段作统一的定义
*/
var statusEnum = {
	//交易类型
	TYPE_DECREASE : 0, //减少
	TYPE_INCREASE : 1, //增加

	//用户订单类型
	ORDERTYPE_USER_DEPOSIT : 0, //用户充值 
	ORDERTYPE_USER_WAGE : 1, //用户获得薪水
	ORDERTYPE_USER_WITHDRAWCASH : 2, //用户提现
	ORDERTYPE_USER_SERVICEPREPAY : 3, //用户收到服务费预付款
    ORDERTYPE_USER_SERVICEREFUND : 4, //用户服务费退款
    ORDERTYPE_USER_SERVICEBALANCEPAYMENT : 5, //用户收到服务费尾款
    ORDERTYPE_USER_PAYOFF : 6, //用户发工资

	//企业订单类型
	ORDERTYPE_COMPANY_DEPOSIT : 20,  //企业充值
	ORDERTYPE_COMPANY_PAYOFF : 21, //企业发工资
	ORDERTYPE_COMPANY_WITHDRAWCASH : 22, //企业提现
    ORDERTYPE_COMPANY_SERVICEPAY : 23, //企业支付服务费
    ORDERTYPE_COMPANY_SERVICEREFUND : 24, //企业收到服务费退款
    ORDERTYPE_COMPANY_SERVICEBALANCEPAYMENT : 25, //企业支付服务费尾款
    ORDERTYPE_COMPANY_WAGE : 26, //企业获得薪水 为了让类型对齐，充当占位符

	//订单状态
	STATUS_ORDER_FAILED  : 0,    //失败
	STATUS_ORDER_PROCESSING : 1, //处理中
	STATUS_ORDER_SUCCEEDED : 2,  //成功

	//钱包状态
	STATUS_DISABLED : 0, //禁用
	STATUS_NORMAL : 1, //正常
	STATUS_FREEZED : 2, //冻结
};

var handler = function (enumer) {
	for (key in enumer) {
		if (enumer.hasOwnProperty(key)) {
			template.helper(key, (function (key) {
				return function () {
					return String(enumer[key]);
				};
			})(key));
		}
	}
};

handler(statusEnum);