function openWin(name) {
	api.openWin({
		name : name,
		url : name + '.html',
	    reload : true,
		opaque : true,
		vScrollBarEnabled : false,
		slidBackEnabled : false,
        delay: 300,
		animation:{
				    type:"movein",
				    subType:"from_right",
					    duration:300
				      }
	});
}
function closeToWin(name) {
    api.closeToWin({
        name: name
    });
}
function keyBackToWin(name){
    api.addEventListener({
        name: 'keyback'
    }, function(ret, err) {
        closeToWin(name);
    });
}
//打开header动态title
function openHeaderHasTitle(name, title) {
    api.openWin({
        name : 'publicWin' + name,
        url : 'publicWin.html',
        reload : true,
        bounces : false,
        vScrollBarEnabled : false,
        slidBackEnabled : false,
        delay : 300,
        pageParam : {
            title : title,
            frameName : name,
            frameUrl : name + '.html'
        }
    });
}

//关闭窗口
function closeWin() {
	api.closeWin();
}

/*退出*/
function exitApp() {
	if(confirm("您将退出爱家无忧系统？")){
		api.closeWidget({
			id : api.appId, //填写自己的id
			silent : true
		});
	}
}

/*提示框*/
function myToast(msg) {
    var html = '<div class="myToast" id="myToast"><div class="toast_text aui-text-center">'+msg+'</div></div>';
    $('body').append(html);
    setTimeout(function() {
        $('#myToast').remove();
    }, 2000);
};

/*验证手机号*/
function isMobile(text) {
    return /^((17[0-9])|(14[0-9])|(13[0-9])|(15[^4,\D])|(18[0-9]))\d{8}$/.test(text);
}
/*验证邮箱*/
function isEmail(text) {
    return /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/.test(text);
}
/*匹配正整数*/
function isInt(text) {
    return /^[1-9]\d*$/.test(text);
}
// 校验密码
function isPasswprd(text) {
    return /^(?![0-9]+$)(?![a-zA-Z]+$)[0-9A-Za-z]{6,16}$/.test(text); 
}

function jobShare(){
    var html = '';
    html += '<div class="jobShare bgColorIn">\
                <div class="aui-bar aui-bar-tab jobShareIn">\
                    <div class="share">\
                        <div class="aui-bar-tab-item" onclick=\'shareQQ("QZone")\'>\
                            <i class="aui-iconfont aui-icon-qq" style="color: #478FFD;font-size: 2rem;"></i>\
                            <div class="aui-bar-tab-label">QQ空间</div>\
                        </div>\
                        <div class="aui-bar-tab-item" onclick=\'shareWx("session")\'>\
                            <i class="aui-iconfont aui-icon-wechat" style="color: #5EBD47;font-size: 2rem;"></i>\
                            <div class="aui-bar-tab-label">微信</div>\
                        </div>\
                        <div class="aui-bar-tab-item" onclick=\'shareWx("timeline")\'>\
                            <i class="aui-iconfont aui-icon-wechat-circle" style="color: #61BB49;font-size: 2rem;"></i>\
                            <div class="aui-bar-tab-label">朋友圈</div>\
                        </div>\
                        <div class="aui-bar-tab-item" onclick=\'shareQQ("QFriend")\'>\
                            <i class="aui-iconfont aui-icon-qq" style="color: #E64950;font-size: 2rem;"></i>\
                            <div class="aui-bar-tab-label">QQ好友</div>\
                        </div>\
                    </div>\
                    <div class="aui-btn aui-btn-danger aui-btn-block aui-btn-sm aui-margin-t-15" style="border-radius: 0px;padding:0.75rem;font-size:0.8rem;" id="cancelShare">取消</div>\
                </div>\
            </div>';
    $('body').append(html);
    $('#cancelShare').click(function(){
        $('.jobShare .aui-bar').removeClass('jobShareIn').addClass('jobShareOut');
        $('.jobShare').addClass('bgColorOut');
        setTimeout(function() {
            $('.jobShare').remove();
        }, 300);
    });
}
//分享微信
function shareWx(scene) {
    var title = '邀请您注册爱家无忧';
    var description = '你好';
    var url = 'http://www.baidu.com';
    shareToWxWebpage(scene, title, description, url, function(ret, err) {
        if (ret.status) {
            alert('分享成功');
            closeShare();
        }else{
             myToast('分享失败...');
        }
    });
}

//分享QQ
function shareQQ(type) {
    var title = '邀请您注册爱家无忧';
    var description = '你好';
    var url = 'http://www.baidu.com';
    shareToQQNews(type, title, description, url, function(ret, err) {
        if (ret.status) {
            alert('分享成功');
            closeShare();
        }else{
            myToast('分享失败...');
        }
    });
}
/**
 * 分享网址到微信
 * scene:
 *  session（会话）
 *  timeline（朋友圈）
 *  favorite（收藏）
 */
function shareToWxWebpage(scene, title, description, url, callback) {
    var wx = api.require('wx');
    wx.shareWebpage({
        scene : scene,
        title : title,
        description : description,
        thumb : 'widget://image/logo.png',
        contentUrl : url
    }, function(ret, err) {
        callback(ret, err);
    });
}

/**
 *  分享到QQ
 */
function shareToQQNews(type, title, description, url, callback) {
    var qq = api.require('qq');
    if (type == 'QZone') {
        imagurl = 'widget://image/logo.png';
    } else {
        imagurl = 'widget://image/logo.png';
    }
    qq.shareNews({
        url : url,
        title : title,
        description : description,
        imgUrl : imagurl,
        type : type
    }, function(ret, err) {
        callback(ret, err);
    });
}
function scrollToBottom(fun){
    api.addEventListener({
        name:'scrolltobottom',
        extra:{
            threshold:0            //设置距离底部多少距离时触发，默认值为0，数字类型
        }
    }, function(ret, err){
        if(ret){
            api.showProgress();
            setTimeout(function() {
                fun();
                api.hideProgress();
            }, 1000);
            
        }        
    });
}
function server_error() {
    myToast("(^_^) 亲们太热情，服务器鸭梨很大！");
}

function openJobDetail(name,jobId) {
    api.openWin({
        name : name,
        url : name + '.html',
        reload : true,
        opaque : true,
        vScrollBarEnabled : false,
        slidBackEnabled : false,
        animation:{
            type:"movein",
            subType:"from_right",
            duration:300
        },
        pageParam: {
            jobId: jobId
        }
    });
}
function openServiceDetail(name,serviceId) {
    api.openWin({
        name : name,
        url : name + '.html',
        reload : true,
        opaque : true,
        vScrollBarEnabled : false,
        slidBackEnabled : false,
        delay: 300,
        animation:{
            type:"movein",
            subType:"from_right",
            duration:300
        },
        pageParam: {
            serviceId: serviceId
        }
    });
}
function openReservationDetail(name,serviceId) {
    api.openWin({
        name : name,
        url : name + '.html',
        reload : true,
        opaque : true,
        vScrollBarEnabled : false,
        slidBackEnabled : false,
        delay: 300,
        animation:{
            type:"movein",
            subType:"from_right",
            duration:300
        },
        pageParam: {
            serviceId: serviceId
        }
    });
}
function openNewWinWithId(name,id) {
    api.openWin({
        name : name,
        url : name + '.html',
        reload : true,
        opaque : true,
        vScrollBarEnabled : false,
        slidBackEnabled : false,
        animation:{
            type:"movein",
            subType:"from_right",
            duration:300
        },
        pageParam: {
            id: id
        }
    });
}
function formatMoney(money){
    money = money.toFixed(2);
    money += '';
    int = money.substring(0,money.indexOf(".")).replace( /\B(?=(?:\d{3})+$)/g, ',' );//取到整数部分
    dot = money.substring(money.length,money.indexOf("."))//取到小数部分
    money = int + dot;
    return money;
}
//将数据写入缓存文件
function writeFile(json,id,filename){
    //缓存目录
    var cacheDir = api.cacheDir;
    //内容的数据，内容的数据存储时就根据自己的需要来看存储哪些，可以循环过滤一下
    var dataJson = json;
    //写入文件
    api.writeFile({
        //保存路径
        path: cacheDir+'/lovehomeCache/'+filename+id+'.json',
        //保存数据，记得转换格式
        data: JSON.stringify(dataJson)
    }, function(ret, err){

    })
}
//悬浮电话图标
function telIconShow(phone){
    phone = phone || '0631-5800338';
    var telIconDiv = document.createElement('div');
    var telIcon = document.createElement('a');
    telIconDiv.className = 'telIcon';
    telIcon.className = 'aui-iconfont aui-icon-phone';
    telIcon.href = 'tel:' + phone;
    document.body.appendChild(telIconDiv);
    telIconDiv.appendChild(telIcon);
}
telIconShow();
//个人中心进入钱包等模块前进行身份验证
function visitor(isLogin,url){
    $('.visitor').click(function(){
        if(isLogin){
            win = $(this).data("win");
            winf = $(this).data("winf");
            if(win){
                openWin(win);
            }else{
                var param = winf.split(',');
                openHeaderHasTitle(param[0],param[1]);
            }
        }else{
            api.confirm({
                title: '提示消息',
                msg: '您还未登录，前往登录？',
                buttons: ['确定', '取消']
            },function(ret,err){
                if(ret.buttonIndex == 1){
                    openWin(url);
                }
            });
        }
    });
}
function clearCache(){
    //清除缓存数据
    var fs = api.require('fs');
    fs.rmdir({
        path: api.cacheDir+'/lovehomeCache'
    },function(ret,err){
        console.log('清除缓存');
    });
}