(function(window){
    'use strict';
    var Welcome = function(args){
        this.init(args);
        this.maxPage = 4;
    }
    Welcome.prototype = {
        init : function(args){
            this.page = args.page;
            this.once = args.once;
            this.indexOrWelcome(args.afterWelcomeFn);
        },
        indexOrWelcome : function(fn){
            var self = this;
            if(!self.once){
                $api.setStorage('MyfirstStart', 0);
            }else{
                $api.setStorage('MyfirstStart', 1);
            }
            if ($api.getStorage('MyfirstStart') == 1) {
                api.setFrameGroupAttr({
                    name : 'welcome',
                    hidden : true
                });
                api.execScript({
                    script : fn()
                });
            } else {
                self.welcome();
            }
        },
        welcome : function(){
            var self = this;
            var frames = this.getFrameList(this.page);
            api.openFrameGroup({
                name : 'welcome',
                bounces : false,
                index : 0,
                rect : {
                    x : 0,
                    y : 0,
                    w : 'auto',
                    h : 'auto'
                },
                scrollEnabled : true,
                frames : frames
            }, function(ret, err) {
                var index = ret.index;
                api.sendEvent({
                    name: 'dot',
                    extra: {
                        dot: index
                    }
                });
                $api.setStorage('MyfirstStart', 1);

            });
        },
        getFrameList : function(page){
            var num = parseInt(page);
            num = num>self.maxPage?self.maxPage:num;
            var frameList = [];
            for(var i=0;i<num;i++){
                var frameItem = {};
                frameItem.name = 'welcome_'+i;
                frameItem.url = './welcome/welcome.html';
                frameItem.bounces = false;
                frameItem.opaque = true;
                frameItem.vScrollBarEnabled = true;
                frameItem.hScrollBarEnabled = true;
                frameItem.bgColor = './image/start/'+WELCOMEIMG[i];
                frameList.push(frameItem);
            }
            return frameList;
        }
    };
    window.Welcome = Welcome;
})(window);